cURL
curl -X GET 'https://app-be.thesis.io/api/v1/integration/spaces/space_123' \
-H 'Authorization: Bearer YOUR_SPACE_API_TOKEN'import requests
space_id = 'space_123'
url = f'https://app-be.thesis.io/api/v1/integration/spaces/{space_id}'
headers = {
'Authorization': 'Bearer YOUR_SPACE_API_TOKEN'
}
response = requests.get(url, headers=headers)
print(response.json())const spaceId = 'space_123';
const response = await fetch(`https://app-be.thesis.io/api/v1/integration/spaces/${spaceId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_SPACE_API_TOKEN'
}
});
const data = await response.json();
console.log(data);const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-be.thesis.io/api/v1/integration/spaces/{space_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "Get space detail success",
"data": {
"id": "868",
"userId": "220",
"title": "New Space",
"description": "",
"datasetId": "1234567890",
"datasetName": "220-1234567890",
"emoji": "",
"customInstruction": "",
"category": "other",
"status": 1,
"visibility": 0,
"memberCount": 1,
"followerCount": 0,
"popularityScore": 0,
"lastActivityAt": "2025-09-10T07:51:19.519Z",
"createdAt": "2025-09-10T07:51:19.519Z",
"updatedAt": "2025-09-12T02:21:58.501Z",
"datasetCount": 0,
"totalResearch": 2,
"systemPrompt": "",
"basicPrompt": "",
"viewCount": 7,
"coverUrl": "https://pbs.png",
"uuid": "THESISSPACE1234567890",
"avatarUrl": "<string>",
"social": "<string>",
"spaceType": "<string>",
"inCampaign": false,
"user": {
"id": "220",
"publicAddress": "0x1234567890",
"username": "Foo Bar",
"avatar": "https://pbs.png",
"status": 1,
"whitelisted": 0,
"createdAt": "2025-07-11T10:18:14.994Z",
"updatedAt": "2025-09-10T07:22:22.666Z",
"auth0Id": "twitter|1234567890",
"twitterUsername": "foo_bar"
},
"member": {
"id": "1587",
"spaceId": "868",
"userId": "220",
"role": 1,
"status": 1,
"createdAt": "2025-09-10T07:51:19.525Z",
"updatedAt": "2025-09-10T07:51:19.525Z",
"user": {
"id": "220",
"publicAddress": "0x1234567890",
"username": "Foo Bar",
"avatar": "https://pbs.png",
"status": 1,
"whitelisted": 0,
"createdAt": "2025-07-11T10:18:14.994Z",
"updatedAt": "2025-09-10T07:22:22.666Z",
"auth0Id": "twitter|1234567890",
"twitterUsername": "foo_bar"
}
},
"telegramGroupDetail": {
"id": "180",
"chatId": "1234567890",
"spaceId": "868",
"groupTitle": "Space new-space-1234567890",
"groupInviteLink": "https://t.me/+1234567890",
"errorMessage": "<string>",
"status": 1,
"verifiedAt": "2025-09-10T07:51:20.060Z",
"createdAt": "2025-09-10T07:51:19.527Z",
"updatedAt": "2025-09-10T07:51:20.060Z"
},
"telegramGroup": "https://t.me/+1234567890"
}
}{
"detail": "Invalid request data or missing required fields"
}{
"detail": "Unauthorized"
}{
"detail": "Resource not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Internal server error"
}spaces
Get Space Details
Retrieves comprehensive details for a specific space including metadata, member information, and recent activity. Requires appropriate access permissions.
GET
/
api
/
v1
/
integration
/
spaces
/
{space_id}
cURL
curl -X GET 'https://app-be.thesis.io/api/v1/integration/spaces/space_123' \
-H 'Authorization: Bearer YOUR_SPACE_API_TOKEN'import requests
space_id = 'space_123'
url = f'https://app-be.thesis.io/api/v1/integration/spaces/{space_id}'
headers = {
'Authorization': 'Bearer YOUR_SPACE_API_TOKEN'
}
response = requests.get(url, headers=headers)
print(response.json())const spaceId = 'space_123';
const response = await fetch(`https://app-be.thesis.io/api/v1/integration/spaces/${spaceId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_SPACE_API_TOKEN'
}
});
const data = await response.json();
console.log(data);const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-be.thesis.io/api/v1/integration/spaces/{space_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "Get space detail success",
"data": {
"id": "868",
"userId": "220",
"title": "New Space",
"description": "",
"datasetId": "1234567890",
"datasetName": "220-1234567890",
"emoji": "",
"customInstruction": "",
"category": "other",
"status": 1,
"visibility": 0,
"memberCount": 1,
"followerCount": 0,
"popularityScore": 0,
"lastActivityAt": "2025-09-10T07:51:19.519Z",
"createdAt": "2025-09-10T07:51:19.519Z",
"updatedAt": "2025-09-12T02:21:58.501Z",
"datasetCount": 0,
"totalResearch": 2,
"systemPrompt": "",
"basicPrompt": "",
"viewCount": 7,
"coverUrl": "https://pbs.png",
"uuid": "THESISSPACE1234567890",
"avatarUrl": "<string>",
"social": "<string>",
"spaceType": "<string>",
"inCampaign": false,
"user": {
"id": "220",
"publicAddress": "0x1234567890",
"username": "Foo Bar",
"avatar": "https://pbs.png",
"status": 1,
"whitelisted": 0,
"createdAt": "2025-07-11T10:18:14.994Z",
"updatedAt": "2025-09-10T07:22:22.666Z",
"auth0Id": "twitter|1234567890",
"twitterUsername": "foo_bar"
},
"member": {
"id": "1587",
"spaceId": "868",
"userId": "220",
"role": 1,
"status": 1,
"createdAt": "2025-09-10T07:51:19.525Z",
"updatedAt": "2025-09-10T07:51:19.525Z",
"user": {
"id": "220",
"publicAddress": "0x1234567890",
"username": "Foo Bar",
"avatar": "https://pbs.png",
"status": 1,
"whitelisted": 0,
"createdAt": "2025-07-11T10:18:14.994Z",
"updatedAt": "2025-09-10T07:22:22.666Z",
"auth0Id": "twitter|1234567890",
"twitterUsername": "foo_bar"
}
},
"telegramGroupDetail": {
"id": "180",
"chatId": "1234567890",
"spaceId": "868",
"groupTitle": "Space new-space-1234567890",
"groupInviteLink": "https://t.me/+1234567890",
"errorMessage": "<string>",
"status": 1,
"verifiedAt": "2025-09-10T07:51:20.060Z",
"createdAt": "2025-09-10T07:51:19.527Z",
"updatedAt": "2025-09-10T07:51:20.060Z"
},
"telegramGroup": "https://t.me/+1234567890"
}
}{
"detail": "Invalid request data or missing required fields"
}{
"detail": "Unauthorized"
}{
"detail": "Resource not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Internal server error"
}Authorizations
Enter your API token in the format: Bearer <your_token_here>
Path Parameters
⌘I